#!/usr/bin/env node

var request = require("request");
var exec = require("child_process").exec;

if (process.argv.length < 3) {
  console.log("Missing username argument");
}

var username = process.argv[2];

request.get("http://gist.github.com/api/v1/json/gists/" + username,
  function(err, res, body) {
    var obj = JSON.parse(body);

    if (!obj || !obj.gists || !obj.gists.length) {
      console.log("No gists to clone");
    }

    obj.gists.forEach(function(gist) {
      console.log("Cloning", gist.repo);
      exec("git clone git://gist.github.com/" + gist.repo + ".git");
    });
  }
);
